"""
    show(io::IO, t::FusedComputeTask)
    
Print a string representation of the fused compute task to io.
"""
function show(io::IO, t::FusedComputeTask)
    return print(io, "ComputeFuse($(t.first_task), $(t.second_task))")
end

"""
    show(io::IO, t::DataTask)

Print the data task to io.
"""
function show(io::IO, t::DataTask)
    return print(io, "Data", t.data)
end
